Loading...
Searching...
No Matches
openvdb::v10_0::points::statistics_internal Namespace Reference

## Classes

struct | ScalarMinMax
| Scalar extent op to evaluate the min/max values of a single integral or floating point attribute type. More...
struct | MagnitudeExtent
| Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as a scalar of the appropriate precision. More...
struct | MagnitudeExtent< VecT, false >
| Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as the original vector. More...
struct | ComponentExtent
| Vector component-wise op to evaluate the min/max of vector components and return the result as a vector of equal size and precision. More...

## Functions

template<typename ValueT, typename CodecT, typename FilterT, typename ExtentOp, typename PointDataTreeT>
bool | evalExtents (const PointDataTreeT &points, const std::string &attribute, typename ExtentOp::ExtentT &ext, const FilterT &filter, typename PointDataTreeT::template ValueConverter< typename ExtentOp::ExtentT::first_type >::Type *const minTree=nullptr, typename PointDataTreeT::template ValueConverter< typename ExtentOp::ExtentT::second_type >::Type *const maxTree=nullptr)
template<typename ValueT, typename CodecT, typename FilterT, typename PointDataTreeT, typename std::enable_if< ValueTraits< ValueT >::IsVec, int >::type = 0>
bool | evalExtents (const PointDataTreeT &points, const std::string &attribute, ValueT &min, ValueT &max, const FilterT &filter, typename PointDataTreeT::template ValueConverter< ValueT >::Type *minTree, typename PointDataTreeT::template ValueConverter< ValueT >::Type *maxTree)

## Function Documentation

## evalExtents() [1/2]

template<typename ValueT, typename CodecT, typename FilterT, typename ExtentOp, typename PointDataTreeT>

bool evalExtents | ( | const PointDataTreeT & | points,
|  | const std::string & | attribute,
|  | typename ExtentOp::ExtentT & | ext,
|  | const FilterT & | filter,
|  | typename PointDataTreeT::template ValueConverter< typename ExtentOp::ExtentT::first_type >::Type *const | minTree = nullptr,
|  | typename PointDataTreeT::template ValueConverter< typename ExtentOp::ExtentT::second_type >::Type *const | maxTree = nullptr )

## evalExtents() [2/2]

template<typename ValueT, typename CodecT, typename FilterT, typename PointDataTreeT, typename std::enable_if< ValueTraits< ValueT >::IsVec, int >::type = 0>

bool evalExtents | ( | const PointDataTreeT & | points,
|  | const std::string & | attribute,
|  | ValueT & | min,
|  | ValueT & | max,
|  | const FilterT & | filter,
|  | typename PointDataTreeT::template ValueConverter< ValueT >::Type * | minTree,
|  | typename PointDataTreeT::template ValueConverter< ValueT >::Type * | maxTree )